List of all members
clan::FontFamily Class Reference
clanDisplay Font

FontFamily class. More...

`#include <font_family.h>`

## Public Member Functions
Construction
| FontFamily ()
| Constructs a null font family. More...
| FontFamily (const std::string &family_name)
| Constructs a font family with the given family name. More...
Attributes
bool | is_null () const
| Returns true if this object is invalid. More...
void | throw_if_null () const
| Throw an exception if this object is invalid. More...
const std::string & | get_family_name () const
| Font family name used for this font family. More...
Operations
void | add (const std::string &typeface_name, float height)
| Add standard font. More...
void | add (const std::string &typeface_name, const FontDescription &desc)
void | add (const FontDescription &desc, const std::string &ttf_filename)
void | add (const FontDescription &desc, const std::string &ttf_filename, FileSystem fs)
void | add (Canvas &canvas, Sprite &sprite, const std::string &glyph_list, float spacelen, bool monospace, const FontMetrics &metrics)
| Add a Font based on a sprite. More...

## Implementation
class | Font_Impl

## Detailed Description

FontFamily class.

A FontFamily is a collection of font descriptions

The documentation for this class was generated from the following file:

- font_family.h